Skip to main content
GET
/
models
List available models
curl --request GET \
  --url https://proxy.cci.prem.io/models \
  --header 'Authorization: <api-key>'
{
  "status": 200,
  "data": [
    {
      "id": 3,
      "name": "GPT OSS 120B",
      "model": "openai/gpt-oss-120b",
      "enabled": 1,
      "created_at": "2025-10-23 22:57:28",
      "description": "A large 120B open-source model offering high-quality, adaptable conversational performance.",
      "requires_auth": 1,
      "input_modalities": [
        "text"
      ]
    },
    {
      "id": 4,
      "name": "GLM 4.6 358B",
      "model": "zai-org/GLM-4.6-FP8",
      "enabled": 1,
      "created_at": "2025-10-23 22:57:28",
      "description": "A massive 358B open-source model designed for powerful, flexible, and high-fidelity language generation.",
      "requires_auth": 1,
      "input_modalities": [
        "text"
      ]
    }
  ],
  "error": null,
  "log": null,
  "validator": null,
  "support_id": null,
  "message": "Resource created successfully",
  "env": "development"
}

Authorizations

Authorization
string
header
required

Send your access token as header Authorization: Bearer {accessToken}

Authorization
string
header
required

Your API key that starts with sk_live or sk_test. You can create yours at go.prem.io/api-keys.

Query Parameters

type
enum<string>

Filter models by type

Available options:
CHAT,
AUDIO_TRANSCRIPTION,
AUDIO_SPEECH,
IMAGE

Response

Models list retrieved successfully

status
enum<integer>
required

Status code of the response

Available options:
200,
201,
202
data
object[]
required

Response data containing the requested object

message
string | null
required

Message of the response, human readable

Example:

"Resource created successfully"

env
enum<string>
required

API environment

Available options:
development,
production
error
string | null

Error message of the response, human readable

Example:

"Invalid email address"

log

Useful informaiton, not always present, to debug the response

Examples:
{ "request_id": "req_1234567890" }

"Some pertinent log message"

validator

Validator response object, each key is the field name and value is the error message

Example:
{
"email": "Invalid email address",
"password": "Password is required"
}
support_id
string<uuid> | null

Support ID linked to the response, used to identify it when talking with our team

Example:

"support_uuidv7-something-else"